nlmconv(1)

NOMBRE
nlmconv - convierte código objeto a un NLM

SINOPSIS

nlmconv
    [-I nombrebfd | --input-target=nombrebfd] [-O nombrebfd | --output-target=nombrebfd] [-T fichcab | --header-file=fichcab] [-V | --version] [--help] fichent fichsal

DESCRIPCIÓN
nlmconv convierte el fichero objeto reubicable fichent al Módulo Cargable de Netware fichsal, leyendo opcionalmente fichcab para obtener información de cabecera NLM. Para instrucciones sobre cómo escribir el fichero de lenguaje de órdenes de NLM utilizado en ficheros de cabecera, consulte The NetWare Tool Maker Specification Manual, disponible en Novell, Inc. nlmconv trabaja actualmente con ficheros objeto de la arquitectura i386 en formatos COFF, ELF, o a.out, y con ficheros objetos de SPARC en los formatos ELF o a.out.
nlmconv emplea la biblioteca de GNU BFD (Binary File Descriptor, Descriptor de Ficheros Binarios) para leer fichent.

OPCIONES

-I nombrebfd, --input-target=nombrebfd
    Considera que el formato del fichero objeto fuente es nombrebfd, en vez de intentar deducirlo.

-O nombrebfd, --output-target=nombrebfd
    Escribe el fichero de salida empleando el formato de objeto nombrebfd. nlmconv infiere el formato de salida basándose en el de entrada; p.ej., para un fichero de entrada i386 el formato de salida sería nlm32-i386.

-T fichcab, --header-file=fichcab
    Lee fichcab para obtener información de cabecera NLM. Para instrucciones sobre cómo escribir el fichero de lenguaje de órdenes de NLM utilizado en ficheros de cabecera, consulte The NetWare Tool Maker Specification Manual, disponible en Novell, Inc.

-V, --version
    Muestra el número de versión de nlmconv y acaba.

-h, --help
    Muestra un sumario de las opciones de nlmconv y termina.

VÉASE TAMBIÉN
La entrada `binutils' en Info; The GNU Binary Utilities, Roland H. Pesch (Junio de 1993).

DERECHOS DE COPIA
Copyright (c) 1993 Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.

N. del T.: Sólo tiene validez legal el aviso de copyright original.